## australis start sla-drain

Place a list of space separated Mesos Agents into maintenance mode using SLA aware strategies.

### Synopsis

Adds a Mesos Agent to Aurora's Drain list. Agents in this list
are not allowed to schedule new tasks and any tasks already running on this Agent
are killed and rescheduled in an Agent that is not in maintenance mode. Command
expects a space separated list of hosts to place into maintenance mode.
If the --count argument is passed, tasks will be drained using the count SLA policy as a fallback
when a Job does not have a defined SLA policy.
If the --percentage argument is passed, tasks will be drained using the percentage SLA policy as a fallback
when a Job does not have a defined SLA policy.

```
australis start sla-drain [space separated host list or use JSON flags] [flags]
```

### Options

```
      --count int            Instances count that should be running to meet SLA. (default 5)
      --duration RUNNING     Minimum time duration a task needs to be RUNNING to be treated as active. (default 1m0s)
  -h, --help                 help for sla-drain
      --interval duration    Interval at which to poll scheduler. (default 10s)
      --json                 Read JSON list of agents from the STDIN.
      --json-file string     JSON file to read list of agents from.
      --percentage float     Percentage of instances that should be running to meet SLA. (default 80)
      --sla-limit duration   Time limit after which SLA-Aware drain sheds SLA Awareness. (default 1h0m0s)
```

### Options inherited from parent commands

```
  -a, --caCertsPath string      Path where CA certificates can be found.
  -c, --clientCert string       Client certificate to use to connect to Aurora.
  -k, --clientKey string        Client key to use to connect to Aurora.
      --config string           Config file to use. (default "/etc/aurora/australis.yml")
  -l, --logLevel string         Set logging level [panic fatal error warning info debug trace]. (default "info")
  -p, --password string         Password to use for API authentication
  -s, --scheduler_addr string   Aurora Scheduler's address.
  -i, --skipCertVerification    Skip CA certificate hostname verification.
  -t, --timeout duration        Gorealis timeout. (default 20s)
      --toJSON                  Print output in JSON format.
  -u, --username string         Username to use for API authentication
  -z, --zookeeper string        Zookeeper node(s) where Aurora stores information. (comma separated list)
```

### SEE ALSO

* [australis start](australis_start.md)	 - Start a service, maintenance on a host (DRAIN), a snapshot, an update, or a backup.

###### Auto generated by spf13/cobra on 5-Nov-2020
